package com.propertyManagement.pay.service;

import com.propertyManagement.pay.domain.CmsPayBiz;
import com.propertyManagement.pay.domain.vo.CmsPayBizVo;
import com.propertyManagement.pay.domain.bo.CmsPayBizBo;
import com.propertyManagement.common.core.page.TableDataInfo;
import com.propertyManagement.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 支付业务Service接口
 *
 * @author liushuai
 * @date 2025-05-12
 */
public interface IPayBizService {

    /**
     * 查询支付业务
     */
    CmsPayBizVo queryById(Long id);

    /**
     * 查询支付业务列表
     */
    TableDataInfo<CmsPayBizVo> queryPageList(CmsPayBizBo bo, PageQuery pageQuery);

    /**
     * 查询支付业务列表
     */
    List<CmsPayBizVo> queryList(CmsPayBizBo bo);

    /**
     * 查询全部可用支付业务
     *
     * @return 支付业务
     */
    List<CmsPayBiz> listAllUsable();

    /**
     * 新增支付业务
     */
    Boolean insertByBo(CmsPayBizBo bo);

    /**
     * 修改支付业务
     */
    Boolean updateByBo(CmsPayBizBo bo);

    /**
     * 校验并批量删除支付业务信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
